"""
--------------------------------------------------------------------------
OSD335x C-SiP sensor
--------------------------------------------------------------------------
Copyright 2019, Octavo Systems, LLC. All rights reserved.

License:     
Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, 
this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, 
this list of conditions and the following disclaimer in the documentation 
and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its 
contributors may be used to endorse or promote products derived from 
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE 
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE.
--------------------------------------------------------------------------
OSD335x C-SiP sensor

    The program will monitor temperature value from on board sensor

--------------------------------------------------------------------------
--------------------------------------------------------------------------
"""
import time

# Constants
# ------------------------------------------------------------------------
TMP_PATH = "/sys/bus/i2c/devices/0-0076/iio:device0/in_temp_input"
LED_PATH = "/sys/class/leds/usr8/brightness"

TMP_HI   = 55000
TMP_LOW  = 14000
#--------------------------------------------------------------------------

while True:
  f_tmp = open(TMP_PATH, "r")
  f_led = open(LED_PATH, "w+")
  
  tmp_string = f_tmp.read()
  tmp_int = int(tmp_string)
  
  if tmp_int < 14000 | tmp_int > 44000:
    f_led.write("1")
  f_led.close()
  f_tmp.close()
  print(tmp_int)
  time.sleep(3)